/*

This example uses Google Maps JS API to integrate with 
Export Kit and Photoshop.  This will produce a Google 
Map element in your HTML5 output.

-- HOW TO --
(1) Change the psd_layername to match the name of the 
layer in your PSD that you want the Google Map element
to replace.
(2) Change the map_lat and map_long values to match
your desired location.

-- IN EXPORT KIT --
(1) Select the 'Customize' check box
(2) Click the 'Edit' combox and select 'Custom HEAD'
(3) Add '<script src="ek-google-maps.js"></script>' where 
[ src="ek-google-maps.js" ] is the location of this file

-- IMPORTANT --
If you change the element ids then you must also change
the CSS id in "ek-google-maps.css" to reflect your new 
id.
@date       14.08.04
@bundle     Epoxrt Kit Scripts

*/

//edit this
var psd_layername = "googlemap";
var map_lat = 51.508742;
var map_long = -0.120850;

//DO NOT edit this unless you know what you are doing
function initialize(){
  var mapProp = {
    center: new google.maps.LatLng(map_lat,map_long),
    zoom:7,
    mapTypeId: google.maps.MapTypeId.ROADMAP
  };
  var map = new google.maps.Map(document.getElementById(psd_layername),mapProp);
}

function loadScript(){
  var script = document.createElement("script");
  script.type = "text/javascript";
  script.src = "http://maps.googleapis.com/maps/api/js?key=AIzaSyDY0kkJiTPVd2U7aTOAwhc9ySH6oHxOIYM&sensor=false&callback=initialize";
  document.body.appendChild(script);
}

window.onload = loadScript;

